OpenVDB 13.0.0

Loading...
Searching...
No Matches
StringCodec< Truncate > Struct Template Reference

`#include <openvdb/points/AttributeArrayString.h>`

## Classes
struct | Storage

## Public Types
using | ValueType = Index

## Static Public Member Functions
template<typename StorageType>
static void | decode (const StorageType &, ValueType &)
template<typename StorageType>
static void | encode (const ValueType &, StorageType &)
static const char * | name ()

## Member Typedef Documentation

## ◆ ValueType

template<bool Truncate>

using ValueType = Index

## Member Function Documentation

## ◆ decode()

template<bool Truncate>
template<typename StorageType>

void decode | ( | const StorageType & | data,
|  | ValueType & | val )
| inline static

## ◆ encode()

template<bool Truncate>
template<typename StorageType>

void encode | ( | const ValueType & | val,
|  | StorageType & | data )
| inline static

## ◆ name()

template<bool Truncate>

const char * name | ( |  | ) |
| inline static